if [ -r "$CATALINA_BASE/../config/setenvoverride.sh" ]; then
    . "$CATALINA_BASE/../config/setenvoverride.sh"
elif [ -r "$CATALINA_HOME/../config/setenvoverride.sh" ]; then
    . "$CATALINA_HOME/../config/setenvoverride.sh"
fi

# if no initial memory size, set to default
if [ "$FD_INITIAL_MEMORY_SIZE" = "" ]; then
    FD_INITIAL_MEMORY_SIZE=512m
fi

# if no max memory size, set to default
if [ "$FD_MAX_MEMORY_SIZE" = "" ]; then
    FD_MAX_MEMORY_SIZE=2048m
fi

#If you experience issues with the following line on your linux distribution, override JAVA_HOME in setenvoverride.sh
[ -z "$JAVA_HOME" ] && JAVA_HOME=$(dirname $(dirname $(readlink -f $(which javac))))


export CLASSPATH=$CLASSPATH:$CATALINA_HOME/bin/FDLogFormatter.jar
CATALINA_OPTS='-Dcom.flexagon.is.https.agent=true -verbose:gc -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xms${FD_INITIAL_MEMORY_SIZE} -Xmx${FD_MAX_MEMORY_SIZE} -Xloggc:$CATALINA_BASE/logs/gc-%t.log ${FLEXAGON_FD_JAVA_ARGS}'
