SCRIPT_DIR=$(CDPATH= cd -- "$(dirname -- "$0")" && pwd)

TCAT_HOME=${SCRIPT_DIR%/bin}
FDPID=$(ps -ef | grep ${TCAT_HOME} | grep java | grep -v grep | awk '{print $2}')

if [ -z "${FDPID}" ]; then
    HERE=$(pwd)
    cd ${SCRIPT_DIR}
    cd ../logs
    if [ -f catalina.out ]; then
        CATALINA_BACKUP_LOG_FILE=catalina-$(date +"%y-%m-%d_%H-%M-%S").out
        mv catalina.out $CATALINA_BACKUP_LOG_FILE
        >catalina.out
    fi
    cd ${SCRIPT_DIR}
    ./startup.sh
    cd ${HERE}

else
    echo "FlexDeploy Https Agent is already running. Not starting a second process."
fi
