SCRIPT_DIR=$(CDPATH= cd -- "$(dirname -- "$0")" && pwd)

echo "Calling shutdown.sh"
alias exit=return
${SCRIPT_DIR}/shutdown.sh
if [ $? -eq 0 ]; then
    echo "Waiting a moment for FlexDeploy Https Agent to stop."
    sleep 10
fi
unalias exit

TCAT_HOME=${SCRIPT_DIR%/bin}
FDPID=$(ps -ef | grep ${TCAT_HOME} | grep java | grep -v grep | awk '{print $2}')

while [ -n "$FDPID" ]; do
    echo "FlexDeploy Https Agent still running, sleep and check again "$FDPID
    sleep 10
    FDPID=$(ps -ef | grep ${TCAT_HOME} | grep java | grep -v grep | awk '{print $2}')
done
